package org.eclipse.soda.sat.core.framework.interfaces;

import org.osgi.framework.BundleContext;
import org.osgi.service.cm.ManagedService;

/**
 * The <code>IManagedServiceActivationManager</code> interface defines the core
 * API for SAT's managed service activation strategy.  This interface extends
 * the OSGi defined <code>ManagedService</code> interface.
 */
public interface IManagedServiceActivationManager extends ManagedService {
	/**
	 * Start the managed service activation manager.
	 *
	 * @param context  The bundle's <code>BundleContext</code>.
	 */
	public void start(BundleContext context);

	/**
	 * Stop the managed service activation manager.
	 */
	public void stop();
}
